Summary:        PC/SC Lite smart card framework and applications
Name:           pcsc-lite
Version:        2.0.0
Release:        3%{?dist}
License:        BSD
URL:            https://pcsclite.apdu.fr/
Source0:        https://pcsclite.apdu.fr/files/pcsc-lite-%{version}.tar.bz2

BuildRequires:  doxygen flex graphviz
BuildRequires:  make automake autoconf gcc libtool
BuildRequires:  /usr/bin/pod2man /usr/bin/pathfix.py
BuildRequires:  systemd-devel gettext-devel python3-devel polkit-devel

Requires: pcsc-ifd-handler
Requires: pcsc-lite-libs = %{version}-%{release}
Requires: polkit python3
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Recommends: pcsc-lite-ccid
Provides: bundled(simclist) = 1.6

%description
PC/SC Lite provides a very small form of Windows(R) SCard interface for 
communicating with smartcards and readers, which uses the same winscard 
API as used under Windows(R).This package includes the PC/SC Lite daemon
as well as other command line tools.

%package        libs
Summary:        PC/SC Lite libraries

%description    libs
PC/SC Lite libraries.

%package        devel
Summary:        PC/SC Lite development files
Requires:       pcsc-lite-libs = %{version}-%{release}

%description    devel
PC/SC Lite development files.

%package        doc
Summary:        PC/SC Lite developer documentation
Requires:       pcsc-lite-libs = %{version}-%{release}
BuildArch:      noarch

%description    doc
PC/SC Lite development files.

%prep
%autosetup -p0

for file in ChangeLog; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure \
  --disable-static \
  --enable-polkit \
  --enable-usbdropdir=%{_libdir}/pcsc/drivers
%make_build
doxygen doc/doxygen.conf ; rm -f doc/api/*.{map,md5}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" src/spy/pcsc-spy

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mkdir -p %{buildroot}%{_libdir}/pcsc/drivers
mkdir -p %{buildroot}%{_localstatedir}/run/pcscd

rm %{buildroot}%{_libdir}/*.la

%post
%systemd_post pcscd.socket pcscd.service
if [ $1 -eq 1 ] ; then
   if systemctl -q is-enabled pcscd.socket > /dev/null 2>&1 ; then
      systemctl start pcscd.socket > /dev/null 2>&1 || :
   fi
fi

%preun
%systemd_preun pcscd.socket pcscd.service

%postun
%systemd_postun_with_restart pcscd.socket pcscd.service

%files
%doc AUTHORS ChangeLog HELP README SECURITY TODO doc/README.polkit
%doc install_spy.sh uninstall_spy.sh
%{_sbindir}/pcscd
%dir %{_libdir}/pcsc/
%dir %{_libdir}/pcsc/drivers/
%dir %{_sysconfdir}/reader.conf.d/
%{_unitdir}/pcscd.service
%{_unitdir}/pcscd.socket
%{_datadir}/polkit-1/actions/org.debian.pcsc-lite.policy
%ghost %dir %{_localstatedir}/run/pcscd/
%{_mandir}/man5/reader.conf.5*
%{_mandir}/man8/pcscd.8*

%files libs
%license COPYING
%{_libdir}/libpcsclite.so.*

%files devel
%{_bindir}/pcsc-spy
%{_libdir}/libpcsclite.so
%{_libdir}/libpcscspy.so*
%{_libdir}/pkgconfig/libpcsclite.pc
%{_includedir}/PCSC/
%{_mandir}/man1/pcsc-spy.1*

%files doc
%doc doc/api/ doc/example/pcsc_demo.c

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 2.0.0-1
- update to 2.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 3 2022 Wang Guodong <gordonwwang@tencent.com> - 1.9.8-1
- package init.
